# PLIX ESP8285 module temperature sensor tester

This is an [Arduino](https://www.arduino.cc/) project. This project finds addresses of
[DS18B20](https://datasheets.maximintegrated.com/en/ds/DS18B20.pdf) temperature sensors and tests it.

## Installation

This code can be compiled by [Arduino IDE](https://www.arduino.cc/en/software) and can be uploaded to **ESP8266** or **ESP8285** chips.

- minimum chip memory size: **512 kB**
- recommended chip memory size: **1 MB**

### Configuration

- Board: **Generic ESP8285 Module**
- Builtin Led: **13**
- Upload Speed: **115200**
- CPU Frequency: **80 MHz**
- Crystal Frequency: **26 MHz**
- Flash Size: **1MB (FS:64KB OTA:~470KB)**
- Reset Method: **no dtr (aka ck)**
- Debug Port: **Disabled**
- Debug Level: **None**
- lwIP Variant: **v2 Lower Memory**
- VTables: **Flash**
- Exceptions: **Disabled (new can abort)**
- Erase Flash: **Only Sketch**
- SSL Support: **Basic SSL ciphers (lower ROM use)**

## Production

Works (tested) with modules:

- Sonoff SV
- Sonoff Basic R1
- Sonoff Basic R2
- Sonoff Basic R3
- Sonoff TH10
- Sonoff TH16

## Author

**Libor Plíšek**, [libor.plisek@uhk.cz](mailto:libor.plisek@uhk.cz)

## License

**(c) 2021 [Libor Plíšek](mailto:libor.plisek@uhk.cz). All rights reserved.**

**Master thesis (school work)**

For more information see [LICENSE.md](LICENSE.md) file.
