#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_PIN 14

OneWire oneWire(ONE_WIRE_PIN);
DallasTemperature sensors(&oneWire);
int sensorCnt;
DeviceAddress tmpSensorAddress;

void setup() {
  Serial.begin(115200);
  delay(1000);

  Serial.println("SETUP:");

  Serial.println("Searching for sensors...");
  sensors.begin();
  sensorCnt = sensors.getDeviceCount();
  Serial.print("Found ");
  Serial.print(sensorCnt);
  Serial.println(" sensors.");
  
  Serial.println();
  Serial.println("Sensor addresses:");
  for (int i = 0; i < sensorCnt; i++) {
    if (sensors.getAddress(tmpSensorAddress, i)) {
      Serial.print("Sensor ");
      Serial.print(i);
      Serial.print(": ");
      printSensorAddress();
      Serial.println();
    }
  }
  
  Serial.println();
  Serial.println("TEMPERATURES:");
}

void loop() {
  Serial.println();
  sensors.requestTemperatures();
  for (int i = 0; i < sensorCnt; i++) {
    if (sensors.getAddress(tmpSensorAddress, i)) {
      Serial.print("Sensor ");
      printSensorAddress();
      Serial.print(": ");
      float temperature = sensors.getTempC(tmpSensorAddress);
      Serial.print(temperature, 4);
      Serial.println(" °C");
    }
  }
  delay(10000);
}

void printSensorAddress() {
  for (uint8_t i = 0; i < 8; i++) {
    if (tmpSensorAddress[i] < 16) {
      Serial.print("0");
    }
    Serial.print(tmpSensorAddress[i], HEX);
  }
}
