import {Plugins} from '@capacitor/core';

const {Device} = Plugins;

export default abstract class DeviceInfo {
  private static deviceInfo: any = {};

  public static async initialize() {
    this.deviceInfo = await Device.getInfo();
  }

  public static getUuid(): string {
    return this.deviceInfo.uuid;
  }

  public static getPlatform(): string {
    return this.deviceInfo.platform;
  }

  public static isPlatformAndroid(): boolean {
    return this.deviceInfo.platform === 'android';
  }

  public static isPlatformIos(): boolean {
    return this.deviceInfo.platform === 'ios';
  }

  public static isPlatformWeb(): boolean {
    return this.deviceInfo.platform === 'web';
  }

  public static getAppVersion(): string {
    return this.deviceInfo.appVersion ? this.deviceInfo.appVersion : '?.?.?';
  }

  public static getOperatingSystem(): string {
    return this.deviceInfo.operatingSystem;
  }

  public static getOperatingSystemVersion(): string {
    return this.deviceInfo.osVersion;
  }

  public static getModel(): string {
    return this.deviceInfo.model;
  }

  public static getManufacturer(): string {
    return this.deviceInfo.manufacturer;
  }
}
