import {addOutline, optionsOutline, settingsOutline} from 'ionicons/icons';
import {ref} from 'vue';
import Router from '@/services/Router';

const MENU_PAGES = [
  {
    title: 'Moduly',
    url: '/modules',
    icon: optionsOutline,
  },
  {
    title: 'Přidat nový modul',
    url: '/add-module',
    icon: addOutline,
  },
  {
    title: 'Nastavení',
    url: '/settings',
    icon: settingsOutline,
  },
];

export default abstract class Navigation {
  private static readonly menuSelectedIndex = ref<number>(0);

  public static getMenuSelectedIndex(): number {
    return this.menuSelectedIndex.value;
  }

  public static getMenuPages(): {}[] {
    return MENU_PAGES;
  }

  public static refreshMenuSelectedIndex() {
    const path = window.location.pathname;
    if (path) {
      this.menuSelectedIndex.value = MENU_PAGES.findIndex(page => page.url === path);
    }
  }

  public static async push(url: string) {
    return Router.push(url);
  }

  public static async setRoot(url: string) {
    return Router.push(url);
  }
}
