import {createRouter, createWebHistory} from '@ionic/vue-router';
import {RouteRecordRaw} from 'vue-router';

const routes: Array<RouteRecordRaw> = [
  {
    path: '',
    redirect: '/home',
  },
  {
    path: '/modules/:id/access-log',
    component: () => import ('@/pages/AccessLog.vue'),
  },
  {
    path: '/add-module',
    component: () => import ('@/pages/AddModule.vue'),
  },
  {
    path: '/add-module-manual',
    component: () => import ('@/pages/AddModuleManual.vue'),
  },
  {
    path: '/modules/:id/auto-control',
    component: () => import ('@/pages/AutoControl.vue'),
  },
  {
    path: '/modules/:id/available-networks',
    component: () => import ('@/pages/AvailableNetworks.vue'),
  },
  {
    path: '/modules/:id/connection',
    component: () => import ('@/pages/Connection.vue'),
  },
  {
    path: '/modules/:id/firmware-update',
    component: () => import ('@/pages/FirmwareUpdate.vue'),
  },
  {
    path: '/modules/:id/first-setup',
    component: () => import ('@/pages/FirstSetup.vue'),
  },
  {
    path: '/home',
    component: () => import ('@/pages/Home.vue'),
  },
  {
    path: '/modules/:id/input-log',
    component: () => import ('@/pages/InputLog.vue'),
  },
  {
    path: '/modules/:id',
    component: () => import ('@/pages/Module.vue'),
  },
  {
    path: '/modules/:id/configuration',
    component: () => import ('@/pages/ModuleConfiguration.vue'),
  },
  {
    path: '/modules/:id/settings',
    component: () => import ('@/pages/ModuleSettings.vue'),
  },
  {
    path: '/modules',
    component: () => import ('@/pages/Modules.vue'),
  },
  {
    path: '/modules/help',
    component: () => import ('@/pages/ModulesHelp.vue'),
  },
  {
    path: '/modules/:id/notification-settings',
    component: () => import ('@/pages/NotificationSettings.vue'),
  },
  {
    path: '/modules/:id/output-log',
    component: () => import ('@/pages/OutputLog.vue'),
  },
  {
    path: '/privacy-policy',
    component: () => import ('@/pages/PrivacyPolicy.vue'),
  },
  {
    path: '/modules/reorder',
    component: () => import ('@/pages/Reorder.vue'),
  },
  {
    path: '/modules/:id/restart',
    component: () => import ('@/pages/Restart.vue'),
  },
  {
    path: '/modules/:id/saved-networks',
    component: () => import ('@/pages/SavedNetworks.vue'),
  },
  {
    path: '/modules/:id/schedule-control',
    component: () => import ('@/pages/ScheduleControl.vue'),
  },
  {
    path: '/server-status',
    component: () => import ('@/pages/ServerStatus.vue'),
  },
  {
    path: '/settings',
    component: () => import ('@/pages/Settings.vue'),
  },
  {
    path: '/settings/pin',
    component: () => import ('@/pages/SettingsPin.vue'),
  },
];

const Router = createRouter({history: createWebHistory(process.env.BASE_URL), routes});
export default Router;
