# PLIX.cz

This is a [Drupal 9](https://www.drupal.org/) project using the [Composer](https://getcomposer.org/).

This project is a server app supported running of [PLIX.cz](https://plix.cz/) web, [Smart Modules](https://sm.plix.cz/) system and [Tarabka](https://tarabka.plix.cz/) application.

**Smart Modules REST API documentation:** https://plixsm.docs.apiary.io/

## Installation

Prepare [Apache server](https://httpd.apache.org/),
[MariaDB server](https://mariadb.org/),
[PHP](https://www.php.net/),
[Composer](https://getcomposer.org/) and
[Drush](https://www.drush.org/).

**Required runtime environments:**

- Apache >= 2.4.7
- MariaDB >= 10.3
- PHP >= 7.3

**Developed on:**

- Apache 2.4.41
- MariaDB 10.4.18
- PHP 7.4.3

### Next for every needed subdomain of project

1. Install Drupal by visiting project’s URL.
1. Run `composer install` (installs all dependencies)
1. Run `drush updb` (updates database)
1. Run `drush cim` (imports configuration)
1. Run `drush cr` (rebuilds caches)

## Production

| Subdomain name | URL |
| --- | --- |
| PLIX.cz (main) | https://plix.cz/ |
| Smart Modules | https://sm.plix.cz/ |
| Tarabka | https://tarabka.plix.cz/ |

## Author

**Libor Plíšek**, [libor.plisek@uhk.cz](mailto:libor.plisek@uhk.cz)

## License

**(c) 2021 [Libor Plíšek](mailto:libor.plisek@uhk.cz). All rights reserved.**

**Master thesis (school work)**

For more information see [LICENSE.md](LICENSE.md) file.
