#!/bin/bash

source config.sh

echo "--- DEPLOYING CONTRIBUTION FILES ---"

echo "Transferring vendor:"
lftp -e "
set net:max-retries $FTP_NET_MAX_RETRIES;
set net:reconnect-interval-base $FTP_NET_RECONNECT_INTERVAL_BASE;
set net:reconnect-interval-max $FTP_NET_RECONNECT_INTERVAL_MAX;
set net:reconnect-interval-multiplier $FTP_NET_RECONNECT_INTERVAL_MULTIPLIER;
set ssl:verify-certificate no;
open $FTP_SERVER;
user $FTP_USER $FTP_PASS;
mirror --reverse --verbose --delete --parallel=$FTP_PARALLEL $PROJECT_DIR/vendor/ vendor/;
bye"

echo "Transferring core:"
lftp -e "
set net:max-retries $FTP_NET_MAX_RETRIES;
set net:reconnect-interval-base $FTP_NET_RECONNECT_INTERVAL_BASE;
set net:reconnect-interval-max $FTP_NET_RECONNECT_INTERVAL_MAX;
set net:reconnect-interval-multiplier $FTP_NET_RECONNECT_INTERVAL_MULTIPLIER;
set ssl:verify-certificate no;
open $FTP_SERVER;
user $FTP_USER $FTP_PASS;
mirror --reverse --verbose --delete --parallel=$FTP_PARALLEL $PROJECT_DIR/www/core/ www/core/;
bye"

echo "Transferring modules:"
lftp -e "
set net:max-retries $FTP_NET_MAX_RETRIES;
set net:reconnect-interval-base $FTP_NET_RECONNECT_INTERVAL_BASE;
set net:reconnect-interval-max $FTP_NET_RECONNECT_INTERVAL_MAX;
set net:reconnect-interval-multiplier $FTP_NET_RECONNECT_INTERVAL_MULTIPLIER;
set ssl:verify-certificate no;
open $FTP_SERVER;
user $FTP_USER $FTP_PASS;
mirror --reverse --verbose --delete --parallel=$FTP_PARALLEL --exclude=^custom/ $PROJECT_DIR/www/modules/ www/modules/;
bye"

echo "Transferring themes:"
lftp -e "
set net:max-retries $FTP_NET_MAX_RETRIES;
set net:reconnect-interval-base $FTP_NET_RECONNECT_INTERVAL_BASE;
set net:reconnect-interval-max $FTP_NET_RECONNECT_INTERVAL_MAX;
set net:reconnect-interval-multiplier $FTP_NET_RECONNECT_INTERVAL_MULTIPLIER;
set ssl:verify-certificate no;
open $FTP_SERVER;
user $FTP_USER $FTP_PASS;
mirror --reverse --verbose --delete --parallel=$FTP_PARALLEL --exclude=^custom/ $PROJECT_DIR/www/themes/ www/themes/;
bye"

echo "Transferring other:"
lftp -e "
set net:max-retries $FTP_NET_MAX_RETRIES;
set net:reconnect-interval-base $FTP_NET_RECONNECT_INTERVAL_BASE;
set net:reconnect-interval-max $FTP_NET_RECONNECT_INTERVAL_MAX;
set net:reconnect-interval-multiplier $FTP_NET_RECONNECT_INTERVAL_MULTIPLIER;
set ssl:verify-certificate no;
open $FTP_SERVER;
user $FTP_USER $FTP_PASS;
mirror --reverse --verbose --delete --parallel=$FTP_PARALLEL --exclude=^_tarabka/ --exclude=^core/ --exclude=^modules/ --exclude=^sites/ --exclude=^themes/ $PROJECT_DIR/www/ www/;
bye"
