/**
 * @file
 * Global utilities.
 */
(function ($, Drupal) {
  'use strict';

  $(document).ready(() => {
    refreshButtonListeners();
  });

  function refreshButtonListeners() {
    $('.btn-refresh').click((event) => {
      event.preventDefault();
      location.reload();
      return false;
    });
    $('.btn-change-relay-state').click((event) => {
      event.preventDefault();
      let targetButton = $(event.target);
      let url = targetButton.attr('href');
      let relayState = targetButton.data('state');
      $.ajax({
        type: 'POST',
        url: url,
        contentType: 'application/json',
        data: JSON.stringify({relay: relayState}),
        success: function (data) {
          if (data['relay']) {
            alert("Požadavek na ZAPNUTÍ relé byl úspěšně odeslán.")
          }
          else {
            alert("Požadavek na VYPNUTÍ relé byl úspěšně odeslán.")
          }
        }
      })
    });
  }

})(jQuery, Drupal);
