<?php

namespace Drupal\sm\Object;

use Drupal\Core\Datetime\DrupalDateTime;

/**
 * Class ModuleLastValues.
 */
class ModuleLastValues {

  /**
   * Last access datetime.
   *
   * @var \Drupal\Core\Datetime\DrupalDateTime|null
   */
  public ? DrupalDateTime $accessDatetime;

  /**
   * Relay state value.
   *
   * @var bool|null
   */
  public ? bool $relay;

  /**
   * Connected network SSID.
   *
   * @var string|null
   */
  public ? string $ssid;

  /**
   * Connected network RSSI.
   *
   * @var int|null
   */
  public ? int $rssi;

  /**
   * Firmware version.
   *
   * @var string|null
   */
  public ? string $firmwareVersion;

  /**
   * Last restart datetime.
   *
   * @var \Drupal\Core\Datetime\DrupalDateTime|null
   */
  public ? DrupalDateTime $restartDatetime;

  /**
   * Last control datetime.
   *
   * @var \Drupal\Core\Datetime\DrupalDateTime|null
   */
  public ? DrupalDateTime $controlDatetime;

  /**
   * LED 1 value.
   *
   * @var int|null
   */
  public ? int $led1;

  /**
   * LED 2 value.
   *
   * @var int|null
   */
  public ? int $led2;

  /**
   * LED 3 value.
   *
   * @var int|null
   */
  public ? int $led3;

  /**
   * Temperatures.
   *
   * @var array
   */
  public array $temperatures;

}
