<?php

namespace Drupal\sm\Service\Data;

use Drupal\sm\Service\Database;

/**
 * Class AppData.
 */
class AppData {

  /**
   * Database service.
   *
   * @var \Drupal\sm\Service\Database
   */
  protected Database $database;

  /**
   * Constructor.
   */
  public function __construct(Database $database) {
    $this->database = $database;
  }

  /**
   * Returns application FCM token by UUID.
   */
  public function getFcmToken($device_uuid) {
    $query = $this->database->connection->select('sm_app', 't');
    $query->condition('t.uuid', $device_uuid);
    $query->addField('t', 'fcm_token');
    $result = $query->execute()->fetchObject();
    return $result->fcm_token;
  }

  /**
   * Returns platform ID.
   */
  public function getPlatformId($platform_type) {
    switch ($platform_type) {
      case 'android':
        return 1;

      case 'ios':
        return 2;

      case 'web':
        return 3;
    }
    return NULL;
  }

  /**
   * Returns platform name.
   */
  public function getPlatformName($platform_id) {
    switch ($platform_id) {
      case 1:
        return 'Android';

      case 2:
        return 'iOS';

      case 3:
        return 'Web';
    }
    return NULL;
  }

}
