/**
 * @file
 * Global utilities.
 */
(function ($, Drupal) {
  'use strict';

  $(document).ready(() => {
    refreshButtonListeners();
  });

  function refreshButtonListeners() {
    $('.export-hunting-permits-button, .export-hunting-permit-list-button').click((event) => {
      event.preventDefault();
      const buttonElement = $(event.target).closest('a');
      let url = buttonElement.attr('href') + '?ids=';
      const target = buttonElement.attr('target');
      let first = true;
      const targetElements = $('.hunting-permit-series-wrapper .hunting-permit-checkbox input[type=checkbox]:checked');
      targetElements.each((key, target) => {
        if (first) {
          first = false;
        }
        else {
          url += ',';
        }
        url += $(target).data('id');
      });
      if (first) {
        $('#noHuntingPermitsSelected').modal('toggle');
      }
      else {
        window.open(url, target);
      }
    });
    $('.hunting-permit-checkbox').change((event) => {
      const targetElement = $(event.target);
      if (!targetElement.is(':checked')) {
        targetElement.closest('.hunting-permit-series-wrapper').find('.hunting-permit-series-checkbox input[type=checkbox]').prop('checked', false);
      }
    });
    $('.hunting-permit-series-checkbox').change((event) => {
      const targetElement = $(event.target);
      targetElement.closest('.hunting-permit-series-wrapper').find('.hunting-permit-checkbox input[type=checkbox]').prop('checked', targetElement.is(':checked'));
    });
  }

})(jQuery, Drupal);
