<?php

namespace Drupal\tarabka\Controller\Form;

use Drupal;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Class HunterNodeFormController.
 */
class HunterNodeFormController {

  /**
   * Validates hunter node form.
   */
  public static function validateForm(&$form, FormStateInterface $form_state) {
    /** @var \Drupal\tarabka\Service\Validator\HunterNodeValidator $hunter_node_validator */
    $hunter_node_validator = Drupal::service('tarabka.hunter_node_validator');
    $hunter_node_validator->validateAll($form_state);
  }

  /**
   * Redirects hunter node delete form.
   */
  public static function redirectDeleteForm(&$form, FormStateInterface $form_state) {
    $form_state->setRedirectUrl(Url::fromUserInput('/node/' . TARABKA_HUNTER_LIST_PAGE_ID));
  }

}
