<?php

namespace Drupal\tarabka\Controller\Form;

use Drupal;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Class WildAnimalTermFormController.
 */
class WildAnimalTermFormController {

  /**
   * Validates wild animal term form.
   */
  public static function validateForm(&$form, FormStateInterface $form_state) {
    /** @var \Drupal\tarabka\Service\Validator\WildAnimalTermValidator $wild_animal_term_validator */
    $wild_animal_term_validator = Drupal::service('tarabka.wild_animal_term_validator');
    $wild_animal_term_validator->validateAll($form_state);
    $form_state->setRedirectUrl(Url::fromUserInput('/node/' . TARABKA_WILD_ANIMAL_LIST_PAGE_ID));
  }

  /**
   * Redirects wild animal term delete form.
   */
  public static function redirectDeleteForm(&$form, FormStateInterface $form_state) {
    $form_state->setRedirectUrl(Url::fromUserInput('/node/' . TARABKA_WILD_ANIMAL_LIST_PAGE_ID));
  }

}
