<?php

namespace Drupal\tarabka\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\tarabka\Service\Data\HunterNodeData;
use RuntimeException;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class HunterController.
 */
class HunterController extends ControllerBase {

  /**
   * Hunter node data service.
   *
   * @var \Drupal\tarabka\Service\Data\HunterNodeData
   */
  protected HunterNodeData $hunterNodeData;

  /**
   * Constructor.
   */
  public function __construct(HunterNodeData $hunter_node_data) {
    $this->hunterNodeData = $hunter_node_data;
  }

  /**
   * Static create function.
   */
  public static function create(ContainerInterface $container) {
    /** @var \Drupal\tarabka\Service\Data\HunterNodeData $hunter_node_data */
    $hunter_node_data = $container->get('tarabka.hunter_node_data');
    return new static($hunter_node_data);
  }

  /**
   * Returns hunter list exported in PDF file.
   */
  public function hunterListExport() {
    $this->hunterNodeData->exportHunterListToPdf();
    throw new RuntimeException('GENERATE_HUNTER_LIST_PDF_FILE_ERROR');
  }

}
