<?php

namespace Drupal\tarabka\Service\Form;

use Drupal\Core\Url;

/**
 * Class DefaultForm.
 */
class DefaultForm {

  /**
   * Alters user form.
   */
  public function alterUserForm(array &$form) {
    $form['#attached']['library'][] = 'tarabka/user-form';
    $form['account']['mail']['#description'] = 'E-mailová adresa nebude zveřejněna. Bude použita pouze pro případ zaslání nového hesla, nebo pokud si nastavíte zasílání různých upozornění a novinek.';
  }

  /**
   * Alters user login form.
   */
  public function alterUserLoginForm(array &$form) {
    $user_pass_page_url = Url::fromRoute('user.pass')->toString();
    $form['name']['#description'] = '';
    $form['pass']['#description'] = '<div class="float-right"><a href="' . $user_pass_page_url . '">Zapomenuté heslo</a></div>';
  }

}
