<?php

namespace Drupal\tarabka\Service\Form;

/**
 * Class HunterNodeForm.
 */
class HunterNodeForm {

  /**
   * Alters hunter node add form.
   */
  public function alterAddForm(array &$form) {
    $this->alterForm($form);
  }

  /**
   * Alters hunter node edit form.
   */
  public function alterEditForm(array &$form) {
    $this->alterForm($form);
    $form['note'] = [
      '#markup' => '<div class="bottom-note color-danger">Provedené změny se projeví i na povolenkách k lovu.</div>',
      '#weight' => 100,
    ];
  }

  /**
   * Alters hunter node delete form.
   */
  public function alterDeleteForm(array &$form) {
    $form['actions']['submit']['#submit'][] = 'Drupal\tarabka\Controller\Form\HunterNodeFormController::redirectDeleteForm';
    $form['description']['#markup'] = '<span class="color-danger">Pokud bude smazán tento myslivec, přestanou být dostupné i jeho povolenky k lovu. Tuto akci nelze vrátit. </span>';
  }

  /**
   * Alters hunter node form.
   */
  private function alterForm(array &$form) {
    $form['#attached']['library'][] = 'tarabka/hunter-node-form';
    $form['actions']['submit']['#validate'][] = '::validateForm';
    $form['actions']['submit']['#validate'][] = 'Drupal\tarabka\Controller\Form\HunterNodeFormController::validateForm';
    $this->fixAutocomplete($form);
  }

  /**
   * Autocomplete fix.
   */
  private function fixAutocomplete(array &$form) {
    $prefix = TARABKA_MODULE_NAME . '_' . TARABKA_HUNTER_BUNDLE . '_';
    // Default fields.
    $form['field_city']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'city';
    $form['field_date_of_birth']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'date_of_birth';
    $form['field_email']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'email';
    $form['field_first_name']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'first_name';
    $form['field_gun_license_expiry_date']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'gun_license_expiry_date';
    $form['field_hunting_license_number']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'hunting_license_number';
    $form['field_id']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'id';
    $form['field_last_name']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'last_name';
    $form['field_phone_number']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'phone_number';
    $form['field_postal_code']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'postal_code';
    $form['field_street']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'street';
    // Checkbox fields.
    $form['field_is_member']['widget']['value']['#attributes']['autocomplete'] = $prefix . 'is_member';
  }

}
