<?php

namespace Drupal\tarabka\Service\Form;

use Drupal\Core\Url;

/**
 * Class WildAnimalTermForm.
 */
class WildAnimalTermForm {

  /**
   * Alters wild animal term form.
   */
  public function alterForm(array &$form) {
    $form['#attached']['library'][] = 'tarabka/wild-animal-term-form';
    $form['actions']['submit']['#validate'][] = '::validateForm';
    $form['actions']['submit']['#validate'][] = 'Drupal\tarabka\Controller\Form\WildAnimalTermFormController::validateForm';
    $this->fixAutocomplete($form);
  }

  /**
   * Alters wild animal term delete form.
   */
  public function alterDeleteForm(array &$form) {
    $form['actions']['submit']['#submit'][] = 'Drupal\tarabka\Controller\Form\WildAnimalTermFormController::redirectDeleteForm';
    $form['actions']['cancel']['#url'] = Url::fromUserInput('/node/' . TARABKA_WILD_ANIMAL_LIST_PAGE_ID);
    $form['description']['#markup'] = '<span class="color-danger">Tuto akci nelze vrátit.</span>';
  }

  /**
   * Autocomplete fix.
   */
  private function fixAutocomplete(array &$form) {
    $prefix = TARABKA_MODULE_NAME . '_' . TARABKA_WILD_ANIMAL_BUNDLE . '_';
    $form['field_age_class']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'age_class';
    $form['field_kind']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'kind';
    $form['field_quantity']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'quantity';
    $form['field_sex']['widget'][0]['value']['#attributes']['autocomplete'] = $prefix . 'sex';
  }

}
