/**
 * @file
 * Global utilities.
 */
(function ($, Drupal) {
  'use strict';

  $(document).ready(() => {
    refreshTableRowLinkListener();
    refreshTooltipListener();
  });

  function refreshTableRowLinkListener() {
    $('tr[data-href] td').on('click', (event) => {
      let currentTarget = $(event.currentTarget);
      if (!currentTarget.hasClass('operations')) {
        if (!$(event.target).closest('a')[0]) {
          window.location = $(event.currentTarget).closest('tr').data('href');
        }
      }
    });
  }

  function refreshTooltipListener() {
    $('[data-toggle="tooltip"]').tooltip({trigger: 'hover'});
  }

})(jQuery, Drupal);
